package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.PersonCompany;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface PersonCompanyService {
	PersonCompany get(String id);
	boolean exist(String id);
	int insert(PersonCompany model);
	int update(PersonCompany model);
	int delete(String id);
    int deleteByPersonId(Long personId);
	List<PersonCompany> findByPersonId(Long personId);
	List<PersonCompany> list();
	Page<PersonCompany> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
}